Skip to main content
POST
/
api
/
v3
/
verifications
/
phone-verification
/
send
Send SMS Verification Message
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-verification/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country_code": "<string>",
  "phone_number": "<string>",
  "trustFlowId": 0,
  "trustValidationId": "{your_trust_validation_id}"
}
'
{
  "success": true,
  "message": "Phone verification code sent successfully",
  "data": {
    "referenceId": "0123456789ABCDEF0123456789ABCDEF",
    "submitTime": "2026-05-14T10:00:00.000Z",
    "status": {
      "updatedOn": "2026-05-14T10:00:00.000Z",
      "code": 103,
      "description": "Call in progress"
    },
    "verify": {
      "codeState": "UNKNOWN",
      "inputPhoneNumber": "+60182258491"
    }
  },
  "verificationStatus": "PENDING",
  "verificationStatusCode": 0,
  "trustFlowId": 0,
  "trustValidationId": "{your_trust_validation_id}",
  "verificationType": "sms_verification",
  "metadata": null
}

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
country_code
string
required

Country dialing code (for example, +60).

phone_number
string
required

Recipient phone number without country code.

trustFlowId
integer
required

Trust flow identifier used to categorize or group requests for tracking or reporting.

trustValidationId
string
required

Trust validation identifier for the verification request.

Response

200 - application/json

SMS verification message sent successfully

Successful response after sending an SMS verification code (v3).

success
boolean
message
string
data
object
verificationStatus
string
verificationStatusCode
integer
trustFlowId
integer
trustValidationId
string
verificationType
string
Example:

"sms_verification"

metadata
object